<?php
/* ======================================================
 # Fixed HTML Toolbar for Joomla! - v3.3.1 (free version)
 # -------------------------------------------------------
 # For Joomla! CMS (v4.x)
 # Author: Web357 (Yiannis Christodoulou)
 # Copyright (©) 2014-2023 Web357. All rights reserved.
 # License: GNU/GPLv3, http://www.gnu.org/licenses/gpl-3.0.html
 # Website: https:/www.web357.com
 # Demo: https://demo.web357.com/joomla/fixed-html-toolbar
 # Support: support@web357.com
 # Last modified: Friday 05 April 2024, 03:29:25 AM
 ========================================================= */
defined('_JEXEC') or die('Restricted access');

// BEGIN: Check if Web357 Framework plugin exists
jimport('joomla.plugin.helper');
if(!JPluginHelper::isEnabled('system', 'web357framework')):
	echo JText::_('The <strong>"Web357 Framework"</strong> is required for this extension and must be active. Please, download and install it for free, from <a href="http://downloads.web357.com/?item=web357framework&type=free">here</a>.');
	return false;
endif;
// END: Check if Web357 Framework plugin exists

// Styles
if ($params->get('position', 'bottom') == 'bottom'):
	// Bottom: Fixed HTML Toolbar
	JFactory::getDocument()->addStyleDeclaration('body{margin-bottom:65px!important} 
	.mod_fixedhtmltoolbar{position:fixed;left:0;bottom:-5px;width:100%;z-index:9999;} 
	.mod_fixedhtmltoolbar_inner{height:auto;width:100%;background:'.$params->get('background').';border-top:'.$params->get('border_pixels').'px solid '.$params->get('border_color').';color:#202020}
	.mod_fixedhtmltoolbar_content{text-align:'.$params->get('align').';width:100%;margin-top:10px;padding-bottom:10px;margin-bottom:5px}
	.mod_fixedhtmltoolbar_content a:hover{background:none!important}
	.mod_fixedhtmltoolbar_content img{display:inline-block;margin-right:'.$params->get('images_space').'px}
	');
elseif ($params->get('position', 'bottom') == 'top'):
	// TOP: Fixed HTML Toolbar
	JFactory::getDocument()->addStyleDeclaration('body{margin-top:35px!important} 
	.mod_fixedhtmltoolbar{position:fixed;left:0;top:0;width:100%;z-index:9999;} 
	.mod_fixedhtmltoolbar_inner{height:auto;width:100%;background:'.$params->get('background').';border-bottom:'.$params->get('border_pixels').'px solid '.$params->get('border_color').';color:#202020}
	.mod_fixedhtmltoolbar_content{text-align:'.$params->get('align').';width:100%;margin-top:0;padding-top:6px;padding-bottom:6px;margin-bottom:0}
	.mod_fixedhtmltoolbar_content a:hover{background:none!important}
	.mod_fixedhtmltoolbar_content img{display:inline-block;margin-right:'.$params->get('images_space').'px}
	');	
endif;

echo '<div class="mod_fixedhtmltoolbar">
		<div class="mod_fixedhtmltoolbar_inner">
			<div class="mod_fixedhtmltoolbar_content">
			';
			if ($params->get('img1'))
			{
				echo '<a href="'.$params->get('link1').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt1', 'icon').'" src="'.$params->get('img1').'" /></a>';
			}

			if ($params->get('img2'))
			{
				echo '<a href="'.$params->get('link2').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt2', 'icon').'" src="'.$params->get('img2').'" /></a>';
			}

			if ($params->get('img3'))
			{
				echo '<a href="'.$params->get('link3').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt3', 'icon').'" src="'.$params->get('img3').'" /></a>';
			}

			if ($params->get('img4'))
			{
				echo '<a href="'.$params->get('link4').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt4', 'icon').'" src="'.$params->get('img4').'" /></a>';
			}

			if ($params->get('img5'))
			{
				echo '<a href="'.$params->get('link5').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt5', 'icon').'" src="'.$params->get('img5').'" /></a>';
			}

			if ($params->get('img6'))
			{
				echo '<a href="'.$params->get('link6').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt6', 'icon').'" src="'.$params->get('img6').'" /></a>';
			}

			if ($params->get('img7'))
			{
				echo '<a href="'.$params->get('link7').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt7', 'icon').'" src="'.$params->get('img7').'" /></a>';
			}

			if ($params->get('img8'))
			{
				echo '<a href="'.$params->get('link8').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt8', 'icon').'" src="'.$params->get('img8').'" /></a>';
			}

			if ($params->get('img9'))
			{
				echo '<a href="'.$params->get('link9').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt9', 'icon').'" src="'.$params->get('img9').'" /></a>';
			}

			if ($params->get('img10'))
			{
				echo '<a href="'.$params->get('link10').'" target="'.$params->get('target').'"><img alt="'.$params->get('alt10', 'icon').'" src="'.$params->get('img10').'" /></a>';
			}

			if ($params->get('html'))
			{
				$html = $params->get('html');
				echo JHtml::_('content.prepare', $html);
			}	
		
		echo '</div>
		</div>
	</div>';